Bug 538459 - (CVE-2009-3894) CVE-2009-3894 dstat insecure module search path
CVE-2009-3894 dstat insecure module search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=vendorsec,repo...
: Security
Depends On: 538469 538470 541406
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 11:20 EST by Josh Bressers
Modified: 2010-03-29 06:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 06:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-11-18 11:20:34 EST
Robert Buchholz of the Gentoo Security Team reported that the dstat utilility contains a flaw in the python module search path used. dstat will search the current working directory for python modules.

If a local user is able to trick another user into running dstat in a directory containing a malicious module, they could perform arbitrary actions with the permissions of the victim.
Comment 4 Jan Lieskovsky 2009-11-25 10:35:44 EST
Public now via:

  http://svn.rpmforge.net/svn/trunk/tools/dstat/ChangeLog
Comment 7 errata-xmlrpc 2009-11-30 10:23:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1619 https://rhn.redhat.com/errata/RHSA-2009-1619.html
Comment 8 Fedora Update System 2009-12-03 10:58:04 EST
dstat-0.7.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dstat-0.7.0-1.fc12
Comment 9 Fedora Update System 2009-12-03 11:16:32 EST
dstat-0.6.9-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dstat-0.6.9-5.fc11
Comment 10 Fedora Update System 2009-12-04 18:50:39 EST
dstat-0.6.9-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-04 18:54:57 EST
dstat-0.7.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.